Get routing rule version history
GET
https://api.vercel.com/v1/projects/{projectId}/routes/versionsGet the version history for a project's routing rules. Returns the staging version (if one exists) followed by production versions, most recent first. The staging version has
isStaging: true and the current production version has isLive: true.Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.projectRoutes.getRouteVersions({ projectId: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "versions": [ { "alias": "string", "createdBy": "string", "id": "icfg_1234567890", "isLive": "false", "isStaging": "false", "lastModified": "123", "ruleCount": "123", "s3Key": "string" } ]}AuthorizationbearerToken
Default authentication mechanism